PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::GeometryObject::ToBlockChanger Struct Reference

Changer which replaces given geometry object toChange to block (2d or 3d, depents from toChange) with size equals to toChange bounding box, and with given material. More...

`#include <plask/geometry/object.hpp>`

Inheritance diagram for plask::GeometryObject::ToBlockChanger:
[legend]
Collaboration diagram for plask::GeometryObject::ToBlockChanger:
[legend]

## Public Member Functions
| ToBlockChanger (shared_ptr< const GeometryObject > toChange, const SolidOrGradientMaterial &material, bool draft=false)
Public Member Functions inherited from plask::GeometryObject::ReplaceChanger
| ReplaceChanger ()
| Construct uninitialized changer.
| ReplaceChanger (shared_ptr< const GeometryObject > from, shared_ptr< GeometryObject > to, Vec< 3, double > translation)
| Construct changer which change `from` to `to` and return given `translation`.
template<typename F >
| ReplaceChanger (const shared_ptr< const GeometryObject > &from, F calc_replace)
| Construct changer which change `from` to calc_replace(to) and return zeroed translation.
bool | apply (shared_ptr< GeometryObject > &to_change, Vec< 3, double > *translation=0) const override
| Try to apply changes.
Public Member Functions inherited from plask::GeometryObject::Changer
virtual | ~Changer ()
| Virtual destructor. Do nothing.

## Additional Inherited Members
Public Attributes inherited from plask::GeometryObject::ReplaceChanger
shared_ptr< const GeometryObject > | from
shared_ptr< GeometryObject > | to
Vec< 3, double > | translation
| Translation to return by apply.

## Detailed Description

Changer which replaces given geometry object toChange to block (2d or 3d, depents from toChange) with size equals to toChange bounding box, and with given material.

Definition at line 420 of file object.hpp.

## Constructor & Destructor Documentation

## ◆ ToBlockChanger()

plask::GeometryObject::ToBlockChanger::ToBlockChanger | ( | shared_ptr< const GeometryObject > | toChange,
|  | const SolidOrGradientMaterial & | material,
|  | bool | draft = `false`
| ) |  |

Definition at line 50 of file object.cpp.

The documentation for this struct was generated from the following files:

- plask/geometry/object.hpp
- plask/geometry/object.cpp